<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
$repeticoes=4;
if($cliente=='QUALITESTE')$repeticoes=4;
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
      //setor achar significa poder ir para outra amostra
 
		
		 if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		if(post('bt_laudo') !== ""):
		   if($repeticoes==4):
		      //modelo qualiteste 4 repeticoes
              echo '<iframe src="imprimelaudoVigorS4R.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
              //echo '<iframe src="imprimefichaPMS.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		   else:
              echo '<iframe src="imprimelaudoVigorS.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
              //echo '<iframe src="imprimefichaPMS.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		   endif;
		
		
		
	   endif;
		
		//aqui so o que realmente funciona para fazer upload
if (post('bt_uploade') !== ""):
	$teste=$_FILES['arquivo'];
	//echo("loade inicio=".$teste ."  final <br>");
	if( $_FILES ): // Verificando se existe o envio de arquivos.
		//echo("Loade inicio=".$uploadfile ."  final<br>");
		if( $_FILES['arquivo'] ): // Verifica se o campo não está vazio.
			//echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
			//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
			//isto funciona local
			$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/Imagens/';
			//isso funciona web
			$dir = $_SERVER['BASEURL'] .'Imagens/';
			//$dir = 'http://gugeler.net/semente2013/php/paineladm/Imagens/';
			$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
			//assim funciona
			$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
			//assim funciona mas nao troca o nome do arquivo final
			//if( move_uploaded_file( $tmpName, $name ) ): // move_uploaded_file irá realizar o envio do arquivo.		
			//exemplo americano:  move_uploaded_file($_FILES["file"]["tmp_name"],"/path/file/saved/to/logo.jpg";		
	
            if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$dir."imagemVigorS.jpg"))://funciona e troca o nome do arquivo final			
			    // Em caso de sucesso, retorna para a página de sucesso.
				printMSG('Upload realizado com sucesso! '.$name ."  redirecionado para paineladm/Imagens/imagemVigorS.jpg",'alerta');		
			else:
			   printMSG('Não foi possível fazer upload!','alerta'); 
			endif;//verificacao fianal para ver se foi enviado com sucesso
		endif;//fecha o if que testa se o arquivo ffoi localizado
    endif;//fecha o if Verificando se existe o envio de arquivos.
endif;//fecha o if que recebe o botao uploade	

	if(post('bt_uploadKKK') !== ""):
    $sessao = new sessao();
    $arquivoFinal=$sessao->getVar('controle2');
	$amostraLong=$sessao->getVar('amostraLong');
	$arquivoFinal='IVS'.$amostraLong;
    echo("Fazendo upload de imagem vigor S! $arquivoFinal <br>");
	$teste=$_FILES['arquivo'];
	//echo("loade inicio=".$teste ."  final <br>");
	if( $_FILES ): // Verificando se existe o envio de arquivos.
		//echo("Loade inicio=".$uploadfile ."  final<br>");
		if( $_FILES['arquivo'] ): // Verifica se o campo não está vazio.
			//echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
			//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
			//isto funciona local
			//$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/ImagensClientes/';
			//isso funciona web
			$dir = $_SERVER['BASEURL'] .'Imagens/';
			//$dir = 'http://gugeler.net/semente2013/php/paineladm/Imagens/';
			$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
			//assim funciona
			$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
			$nameDirecionado='ImagensClientes/'.$arquivoFinal;
			
			//assim funciona mas nao troca o nome do arquivo final
			//if( move_uploaded_file( $tmpName, $name ) ): // move_uploaded_file irá realizar o envio do arquivo.		
			//exemplo americano:  move_uploaded_file($_FILES["file"]["tmp_name"],"/path/file/saved/to/logo.jpg";		
	
            //if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$dir."imagemVigorS.jpg"))://funciona e troca o nome do arquivo final			
            if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$nameDirecionado))://funciona e troca o nome do arquivo final			
			    // Em caso de sucesso, retorna para a página de sucesso.
				printMSG('Upload realizado com sucesso! '.$nameDirecionado ."  redirecionado para " . $nameDirecionado,'alerta');		
			else:
			   printMSG('Não foi possível fazer upload!','alerta'); 
			endif;//verificacao fianal para ver se foi enviado com sucesso
		endif;//fecha o if que testa se o arquivo ffoi localizado
    endif;//fecha o if Verificando se existe o envio de arquivos.		
		
endif; //isset do botao upload			

		
		
		
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			if($finalidade=='DEFINITIVA'):
			   $amostra=$resgenerica->fic_amostra;
			else:   
			   $amostra=$resgenerica->fic_amostra_previa;
            endif;
			$amostra='boc';
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;

		
		//acha o valor de rean 1 de qualquer maneira
        $user = new rean1();
		$user->extras_select =" where  rea_teste='VGS' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
			//repeticao1
		    $vetorR1[1]=$res->rea_v1;
		    $vetorR1[2]=$res->rea_v2;
		    $vetorR1[3]=$res->rea_v3;
		    $vetorR1[4]=$res->rea_v4;
		    $vetorR1[5]=$res->rea_v5;
		    $vetorR1[6]=$res->rea_lei1;
		    $vetorR1[7]=$res->rea_lei2;
		    $vetorR1[8]=$res->rea_lei3;
            //outras repeticoes
            //vai capturar tudo do campo rea_campo100
			$demaisDados=$res->rea_campo100;
			list($vetorR2[1],$vetorR2[2],$vetorR2[3],$vetorR2[4],$vetorR2[5],$vetorR2[6],$vetorR2[7],$vetorR2[8],
			     $vetorR3[1],$vetorR3[2],$vetorR3[3],$vetorR3[4],$vetorR3[5],$vetorR3[6],$vetorR3[7],$vetorR3[8],
			     $vetorR4[1],$vetorR4[2],$vetorR4[3],$vetorR4[4],$vetorR4[5],$vetorR4[6],$vetorR4[7],$vetorR4[8]
			)= explode("*", $demaisDados);

     		$reanLong=$res->rea_id;
			$reaOperador=$res->rea_operador;
			$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
		endwhile;
        if($contador==0):
            //criando registro de GERM
            $reanNova = new rean1(array(
                'rea_ficha'=> $amostraLong,
                'rea_teste'=> 'VGS',
            ));
            $reanLong=$reanNova->inserir($reanNova);
			echo("Criou registro novo para salvar seu dados de VGS");
        endif;


	

 
		 


	//aqui eu vou reativar depois estes gravadores com calma
      if (post('calcularegravar') !== "" ||post('calcularegravar16') !== ""):
			//GRAVA AS LEITURAS DiRETO NA REAN
			$nomeCortado=substr($nomeOperador,0,10);
			$hoje=date('Y-m-d');
            //repeticao1 
			$vetorR1[1]=post('rep1L1');
			$vetorR1[2]=post('rep1L2');
			$vetorR1[3]=post('rep1L3');
			$vetorR1[4]=post('rep1L4');
			$vetorR1[5]=post('rep1L5');
			$vetorR1[6]=post('rep1L6');
			$vetorR1[7]=post('rep1L7');
			$vetorR1[8]=post('rep1L8');
            //repeticao2 
			$vetorR2[1]=post('rep2L1');
			$vetorR2[2]=post('rep2L2');
			$vetorR2[3]=post('rep2L3');
			$vetorR2[4]=post('rep2L4');
			$vetorR2[5]=post('rep2L5');
			$vetorR2[6]=post('rep2L6');
			$vetorR2[7]=post('rep2L7');
			$vetorR2[8]=post('rep2L8');
            //repeticao3 
			$vetorR3[1]=post('rep3L1');
			$vetorR3[2]=post('rep3L2');
			$vetorR3[3]=post('rep3L3');
			$vetorR3[4]=post('rep3L4');
			$vetorR3[5]=post('rep3L5');
			$vetorR3[6]=post('rep3L6');
			$vetorR3[7]=post('rep3L7');
			$vetorR3[8]=post('rep3L8');
            //repeticao4 
			$vetorR4[1]=post('rep4L1');
			$vetorR4[2]=post('rep4L2');
			$vetorR4[3]=post('rep4L3');
			$vetorR4[4]=post('rep4L4');
			$vetorR4[5]=post('rep4L5');
			$vetorR4[6]=post('rep4L6');
			$vetorR4[7]=post('rep4L7');
			$vetorR4[8]=post('rep4L8');


            //concatena todas dados das repeticoes 2,3 e 4
			$concatenado=$vetorR2[1].'*'.$vetorR2[2].'*'.$vetorR2[3].'*'.$vetorR2[4].'*'.$vetorR2[5].'*'.$vetorR2[6].'*'.$vetorR2[7].'*'.$vetorR2[8].'*'.
                         $vetorR3[1].'*'.$vetorR3[2].'*'.$vetorR3[3].'*'.$vetorR3[4].'*'.$vetorR3[5].'*'.$vetorR3[6].'*'.$vetorR3[7].'*'.$vetorR3[8].'*'.
                         $vetorR4[1].'*'.$vetorR4[2].'*'.$vetorR4[3].'*'.$vetorR4[4].'*'.$vetorR4[5].'*'.$vetorR4[6].'*'.$vetorR4[7].'*'.$vetorR4[8];
			$sql="update rean1 set rea_v1='$vetorR1[1]',
			                       rea_v2='$vetorR1[2]',
			                       rea_v3='$vetorR1[3]',
			                       rea_v4='$vetorR1[4]',
			                       rea_v5='$vetorR1[5]',
                                   rea_lei1='$vetorR1[6]',
                                   rea_lei2='$vetorR1[7]',
                                   rea_lei3='$vetorR1[8]',
			  rea_campo100='$concatenado',
			  rea_datageralteste='$hoje',
			  rea_operador='$nomeCortado'
			  where rea_id=".$reanLong;
			  
			  
			//echo("sssssssssssssssssssql=$sql<br>");
			$generica->grava_registro_com_retorno($sql);
			//echo("sql=$sql<br>"); 
			   //grava ocorrencia
			   $finalidade="VGS";
               $valor=	substr($contaminante,0,10);				   
			   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidade,$resultadoFinal,$idLabo);
			   printMSG('Gravou Ok. Gravou também uma ocorrência.' ,'alerta');	
     endif;// finall do botao calcular e gravar
	 
	 		
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				//$finalidade='DEFINITIVA';
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif;
				//$amostra="bic"; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
			echo '<h2>Cálculo de VGS. Amostra:'. $amostra.  ' Espécie:'. $especie. '  Lote:'.$lote. '</h2>';
 
	 //calcula as medias
     if($repeticoes==4):
	    $soma1=$vetorR1[1]+$vetorR2[1]+$vetorR3[1]+$vetorR4[1];
	    $soma2=$vetorR1[2]+$vetorR2[2]+$vetorR3[2]+$vetorR4[2];
	    $soma3=$vetorR1[3]+$vetorR2[3]+$vetorR3[3]+$vetorR4[3];
	    $soma4=$vetorR1[4]+$vetorR2[4]+$vetorR3[4]+$vetorR4[4];
	    $soma5=$vetorR1[5]+$vetorR2[5]+$vetorR3[5]+$vetorR4[5];
	    $soma6=$vetorR1[6]+$vetorR2[6]+$vetorR3[6]+$vetorR4[6];
	    $soma7=$vetorR1[7]+$vetorR2[7]+$vetorR3[7]+$vetorR4[7];
	    $soma8=$vetorR1[8]+$vetorR2[8]+$vetorR3[8]+$vetorR4[8];
        $media1=number_format($soma1/4,2,'.',',');//PERCENTAGEM 
        $media2=number_format($soma2/4,2,'.',',');//PERCENTAGEM 
        $media3=number_format($soma3/4,2,'.',',');//PERCENTAGEM 
        $media4=number_format($soma4/4,2,'.',',');//PERCENTAGEM 
        $media5=number_format($soma5/4,2,'.',',');//PERCENTAGEM 
        $media6=number_format($soma6/4,2,'.',',');//PERCENTAGEM 
 	 endif;	 
///////////////salva as medias
    $concatenaMedias=$media1.'*'.$media2.'*'.$media3.'*'.$media4.'*'.$media5.'*'.$media6.'*'.$media7.'*'.$media8.'*';
	$sql="update rean1 set rea_campo60a='$concatenaMedias'  where rea_id=".$reanLong;
	//echo("sql=$sql<br>");
	$generica->grava_registro_com_retorno($sql);
	//echo("sql=$sql<br>"); 
//fim do salvamento das medias	 
	 
	 
	 
	 
	 
     //$media4=$soma4;
	 

	?>
	                 
    <form class="userform" method="POST" action="">
	<input type="hidden" name="reanLong" value=<?php echo $reanLong ?> size=5 />
	
	                 <table border="1" cellspacing="1" align="center" width="800"><!--TABELA PRONCIPAL-->
					 <?php
					 if($repeticoes==1):
					 ?> 
	                 <td><table><!--TABELA DADOS-->
					 <thead>
	                        <tr>
	                            <th>Quesito   </th>
	                            <th>Valor   </th>
	  
	                        </tr>
	                    </thead>
						
	                    <tbody>

	                    <tr>
	                        <td>Índice de vigor</td>
	                        <td><input type="text" name="rep1" value="<?php echo $vetor[1]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Crescimento</td>
	                        <td><input type="text" name="rep2" value="<?php echo $vetor[2]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Uniformidade</td>
	                        <td><input type="text" name="rep3" value="<?php echo $vetor[3]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Comprimento total(cm)</td>
	                        <td><input type="text" name="rep4" value="<?php echo $vetor[4]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Hipocótilo(cm)</td>
	                        <td><input type="text" name="rep5" value="<?php echo $vetor[5]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Raiz(cm)</td>
	                        <td><input type="text" name="rep6" value="<?php echo $vetor[6]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Hipocótilo/Raiz</td>
	                        <td><input type="text" name="rep7" value="<?php echo $vetor[7]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Sementes não Germinadas!</td>
	                        <td><input type="text" name="rep8" value="<?php echo $vetor[8]?>" size="3" /></td>
						
						
						 </tr>
		     </table></td>
			 <?php
			 endif;
			 ?> 
			 
        <!--VAI CRAIR ESPACO PARA 4 REPETICOES--> 		
					 <?php
					 if($repeticoes==4):
					 ?> 
	                 <td><table><!--TABELA DADOS-->
					 <thead>
	                        <tr>
	                            <th>Quesito   </th>
	                            <th>Rep 1   </th>
	                            <th>Rep 2   </th>
	                            <th>Rep 3   </th>
	                            <th>Rep 4   </th>
	                            <th>Média   </th>
	                        </tr>
	                    </thead>
						
	                    <tbody>

	                    <tr>
	                        <td>Índice de vigor</td>
	                        <td><input type="text" name="rep1L1" value="<?php echo $vetorR1[1]?>" size="3" /></td>
	                        <td><input type="text" name="rep2L1" value="<?php echo $vetorR2[1]?>" size="3" /></td>
	                        <td><input type="text" name="rep3L1" value="<?php echo $vetorR3[1]?>" size="3" /></td>
	                        <td><input type="text" name="rep4L1" value="<?php echo $vetorR4[1]?>" size="3" /></td>
	                        <td><?php echo $media1;?></td>
	                    </tr>
	                    <tr>
	                        <td>Crescimento</td>
	                        <td><input type="text" name="rep1L2" value="<?php echo $vetorR1[2]?>" size="3" /></td>
	                        <td><input type="text" name="rep2L2" value="<?php echo $vetorR2[2]?>" size="3" /></td>
	                        <td><input type="text" name="rep3L2" value="<?php echo $vetorR3[2]?>" size="3" /></td>
	                        <td><input type="text" name="rep4L2" value="<?php echo $vetorR4[2]?>" size="3" /></td>
	                        <td><?php echo $media2;?></td>
	                    </tr>
	                    <tr>
	                        <td>Uniformidade</td>
	                        <td><input type="text" name="rep1L3" value="<?php echo $vetorR1[3]?>" size="3" /></td>
	                        <td><input type="text" name="rep2L3" value="<?php echo $vetorR2[3]?>" size="3" /></td>
	                        <td><input type="text" name="rep3L3" value="<?php echo $vetorR3[3]?>" size="3" /></td>
	                        <td><input type="text" name="rep4L3" value="<?php echo $vetorR4[3]?>" size="3" /></td>
	                        <td><?php echo $media3;?></td>
	                    </tr>
	                    <tr>
	                        <td>Comprimento total(cm)</td>
	                        <td><input type="text" name="rep1L4" value="<?php echo $vetorR1[4]?>" size="3" /></td>
	                        <td><input type="text" name="rep2L4" value="<?php echo $vetorR2[4]?>" size="3" /></td>
	                        <td><input type="text" name="rep3L4" value="<?php echo $vetorR3[4]?>" size="3" /></td>
	                        <td><input type="text" name="rep4L4" value="<?php echo $vetorR4[4]?>" size="3" /></td>
	                        <td><?php echo $media4;?></td>
	                    </tr>
	                    <tr>
	                        <td>Hipocótilo(cm)</td>
	                        <td><input type="text" name="rep1L5" value="<?php echo $vetorR1[5]?>" size="3" /></td>
	                        <td><input type="text" name="rep2L5" value="<?php echo $vetorR2[5]?>" size="3" /></td>
	                        <td><input type="text" name="rep3L5" value="<?php echo $vetorR3[5]?>" size="3" /></td>
	                        <td><input type="text" name="rep4L5" value="<?php echo $vetorR4[5]?>" size="3" /></td>
	                        <td><?php echo $media5;?></td>
	                    </tr>
	                    <tr>
	                        <td>Raiz(cm)</td>
	                        <td><input type="text" name="rep1L6" value="<?php echo $vetorR1[6]?>" size="3" /></td>
	                        <td><input type="text" name="rep2L6" value="<?php echo $vetorR2[6]?>" size="3" /></td>
	                        <td><input type="text" name="rep3L6" value="<?php echo $vetorR3[6]?>" size="3" /></td>
	                        <td><input type="text" name="rep4L6" value="<?php echo $vetorR4[6]?>" size="3" /></td>
	                        <td><?php echo $media6;?></td>
	                    </tr>
	  
	
		     </table></td>
			 <?php
			 endif;
			 ?> 

		
		<!--FIM DA CRIACAO DO ESPACO PARA 4 REPETICOES-->
		<td><table bgcolor="white">
			 
				 
	             <tr>
				 <td>Orientação para upload de arquivo:</td>
				 </tr>
	             <tr>
				 <td>O arquivo da imagem pode ser colocado em qualquer pasta do seu computador.</td>
				 </tr>
	             <tr>
				 <td>Sugestão:Salve seus arquivos com o nome do cliente. ex: imagemjoao.jpg(mas nao use acentos)</td>
				 </tr>

	             <tr>
				 <td>O arquivo deve ser salvo em JPG e deve estar no tamanho 17,5cm de largura por.</td>
				 </tr>
	             <tr>
				 <td>6,7cm de altura ou bem próximo disso, para evitar deformação.</td>
				 </tr>

	             <tr>
				 <td>Clique em selecionar arquivo, para localizar a pasta e o arquivo, depois clique em upload de arquivo.</td>
				 </tr>
	             <tr>
				 <td>Após ter feito upload e salvado os valores das leituras, clique em LAUDO para imprimir.</td>
				 </tr>
				 
				 
				
			     
			     
		  </table> </td>

                    <table align="left">
					<tr>
                    <td><?php echo $mensagemDefeito?> </td>
                    </tr>
					<tr>
                    <td><?php echo $mensagem?> </td>
                    </tr>
					<tr>
                    <td><?php echo $mensagem1?> </td>
                    </tr>
					<tr>
				    
                    <td bgcolor="#b0cca8">Amostra:
					<input type="text"  size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b>
				    <input type="submit" name="acharDigitada" value="<--Achar" />
					<input type="submit" name="acharRecua" value="<" />
					<input type="submit" name="acharAvanca" value=">" />
					<input type="submit" name="acharUltima" value=">|" /></td>
					
	                <td><input type="submit" name="calcularegravar"   value="Gravar" /></td>


	                <td><input type="submit" name="bt_laudo"   value="Laudo" /></td>
	                
					</form> 

					</tr>
					
						
    <form class="userform" method="POST" action=""   enctype="multipart/form-data">
	<tr>
    <td><input type="file" name="arquivo" size="60" />
	<input type="submit" name="bt_uploade" value="Upload de arquivo" /></td>
	</tr>
	</form> 
					
					
      </table><!--FECHA A TABELA PRINIPAL-->
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>